## python-pluginbase 1.0.0

=== Makefile ===
test:
	@cd tests; PYTHONPATH=.. py.test --tb=native

upload-docs:
	$(MAKE) -C docs dirhtml
	rsync -a docs/_build/dirhtml/* flow.srv.pocoo.org:/srv/websites/pluginbase.pocoo.org/static/

.PHONY: test upload-docs

## python-pluginbase 0.5

=== debian/changelog ===
python-pluginbase (0.5-1) unstable; urgency=medium

  * Initial release on Debian (closes: #880908)
  * New upstream version 0.5
  * Bump DH level to 10
  * Bump Standards-Version to 4.1.1
  * Bump watch to v4
  * Set myself as maintainer
  * d/control:
   - add Multi-Arch: foreign
   - add autopkgtest
   - point Vcs-* to python-modules
   - remove double space from description
   - use https on Homepage field
  * d/copyright: update copyright
  * wrap-and-sort -a

 -- Samuel Henrique <samueloph@gmail.com>  Sun, 05 Nov 2017 12:57:01 -0200

python-pluginbase (0.4-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@freexian.com>  Mon, 29 Aug 2016 14:43:19 +0200

=== debian/control ===
Source: python-pluginbase
Section: python
Priority: optional
Maintainer: Samuel Henrique <samueloph@gmail.com>
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-pytest,
               python-setuptools,
               python3-all,
               python3-pytest,
               python3-setuptools
Standards-Version: 4.1.1
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/mitsuhiko/pluginbase
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pluginbase.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-pluginbase.git
Multi-Arch: foreign

Package: python-pluginbase
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Description: Support library for building plugins systems (Python 2)
 This package contains a module that enables the development of flexible plugin
 systems in Python.
 .
 This package installs the library for Python 2.

Package: python3-pluginbase
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Support library for building plugins systems (Python 3)
 This package contains a module that enables the development of flexible plugin
 systems in Python.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pluginbase

%:
	dh $@  --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	cd tests; PYTHONPATH=.. python2 -m pytest --tb=native
	cd tests; PYTHONPATH=.. python3 -m pytest --tb=native

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pluginbase/pluginbase-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pluginbase 1.0.0

=== debian/changelog ===
python-pluginbase (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
  * Bump DH level to 12
  * Bump Standards-Version to 4.3.0

 -- Samuel Henrique <samueloph@debian.org>  Tue, 05 Feb 2019 20:12:24 +0000

python-pluginbase (0.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Samuel Henrique ]
  * New upstream version 0.7
  * d/copyright: Update file
  * d/rules: check BUILD_OPTIONS on tests override

 -- Samuel Henrique <samueloph@debian.org>  Tue, 09 Oct 2018 21:34:54 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: python-pluginbase
 Section: python
 Priority: optional
-Maintainer: Samuel Henrique <samueloph@gmail.com>
-Build-Depends: debhelper (>= 10),
+Maintainer: Samuel Henrique <samueloph@debian.org>
+Build-Depends: debhelper (>= 12),
                dh-python,
                python-all (>= 2.6.6-3~),
                python-pytest,
@@ -10,13 +10,11 @@
                python3-all,
                python3-pytest,
                python3-setuptools
-Standards-Version: 4.1.1
+Standards-Version: 4.3.0
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/mitsuhiko/pluginbase
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.3
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pluginbase.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-pluginbase.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-pluginbase.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pluginbase
 Multi-Arch: foreign
 
 Package: python-pluginbase

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,7 @@
 	dh $@  --with python2,python3 --buildsystem=pybuild
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	cd tests; PYTHONPATH=.. python2 -m pytest --tb=native
 	cd tests; PYTHONPATH=.. python3 -m pytest --tb=native
+endif

## python-pluginbase 1.0.1

=== debian/changelog ===
python-pluginbase (1.0.1-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * New upstream version 1.0.1
  * d/python3-pluginbase.docs: Rename README

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Samuel Henrique <samueloph@debian.org>  Sun, 15 Aug 2021 14:18:50 +0100

python-pluginbase (1.0.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Samuel Henrique ]
  * Set Python Team as the maintainer
  * Bump DH to 13
  * Bump Standards-Version to 4.5.1
  * Add d/gbp.conf
  * d/control: Add Rules-Requires-Root: no
  * d/copyright: Improve copyright statement for d/documentation

 -- Samuel Henrique <samueloph@debian.org>  Sat, 30 Jan 2021 22:04:09 +0000

python-pluginbase (1.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Samuel Henrique ]
  * Drop python2 package (closes: #938033)

 -- Samuel Henrique <samueloph@debian.org>  Wed, 04 Sep 2019 00:25:35 +0100

=== debian/control ===
Source: python-pluginbase
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Samuel Henrique <samueloph@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-pytest,
               python3-setuptools
Standards-Version: 4.5.1
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/mitsuhiko/pluginbase
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pluginbase.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pluginbase
Multi-Arch: foreign

Package: python3-pluginbase
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Support library for building plugins systems (Python 3)
 This package contains a module that enables the development of flexible plugin
 systems in Python.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pluginbase

%:
	dh $@  --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd tests; PYTHONPATH=.. python3 -m pytest --tb=native
endif
